#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.leftmenu import leftmenu

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.3'
__CHEETAH_versionTuple__ = (2, 4, 3, 'development', 0)
__CHEETAH_genTime__ = 1299155720.539918
__CHEETAH_genTimestamp__ = 'Thu Mar  3 13:35:20 2011'
__CHEETAH_src__ = 'templates/simple_search.tmpl'
__CHEETAH_srcLastModified__ = 'Tue Feb 15 15:23:32 2011'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class simple_search(leftmenu):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(simple_search, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Concordance")
        _v = VFFSL(SL,"_",False)("Concordance") # u'$_("Concordance")' on line 5, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Concordance")')) # from line 5, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_62425081 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<link rel="stylesheet" type="text/css" href="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 12, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 12, col 46.
        write(u'''/css/''')
        _v = VFFSL(SL,"css_prefix",True) # u'${css_prefix}' on line 12, col 62
        if _v is not None: write(_filter(_v, rawExpr=u'${css_prefix}')) # from line 12, col 62.
        write(u'''view.css" />
<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 13, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 13, col 14.
        write(u'''/js/prototype-1.3.1.js" type="text/javascript"></script>
''')
        if VFFSL(SL,"righttoleft",True): # generated from line 14, col 1
            write(u'''<style>
.lc {direction: rtl}
.kw {direction: rtl}
.rc {direction: rtl}
</style>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_62425081
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def viewblock(self, **KWS):



        ## CHEETAH: generated from #def viewblock at line 24, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyargs(self, **KWS):



        ## CHEETAH: generated from #def bodyargs at line 27, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_92616517 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''id="bodytag"''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_92616517
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 34, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_64840242 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        if VFFSL(SL,"varExists",False)('_ca_topbar'): # generated from line 36, col 1
            write(u'''    ''')
            if False:
                _("Corpus")
            _v = VFFSL(SL,"_",False)("Corpus") # u'$_("Corpus")' on line 37, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Corpus")')) # from line 37, col 5.
            write(u''': <strong>''')
            _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 37, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 37, col 27.
            write(u'''</strong>
''')
            if VFFSL(SL,"usesubcorp",True): # generated from line 38, col 5
                write(u'''        ''')
                if False:
                    _("Subcorpus")
                _v = VFFSL(SL,"_",False)("Subcorpus") # u'$_("Subcorpus")' on line 39, col 9
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpus")')) # from line 39, col 9.
                write(u''': <strong>''')
                _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 39, col 34
                if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 39, col 34.
                write(u'''</strong>
''')
            write(u'''    <br/>
''')
            if VFFSL(SL,"concsize",True): # generated from line 42, col 5
                write(u'''        ''')
                if False:
                    _("Hits")
                _v = VFFSL(SL,"_",False)("Hits") # u'$_("Hits")' on line 43, col 9
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Hits")')) # from line 43, col 9.
                write(u''': <strong>''')
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 43, col 29
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 43, col 29.
                write(u'''</strong>
''')
                if VFFSL(SL,"concarf",True): # generated from line 44, col 9
                    write(u'''            (''')
                    _v = VFFSL(SL,"concarf",True) # u'$concarf' on line 45, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$concarf')) # from line 45, col 14.
                    write(u''')
''')
        write(u'''

<div
''')
        if VFFSL(SL,"Sketches",True): # generated from line 52, col 1
            write(u'''  class="narrowmain"
''')
        write(u'''>
<h3>''')
        if False:
            _("Concordance lines")
        _v = VFFSL(SL,"_",False)("Concordance lines") # u'$_("Concordance lines")' on line 56, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Concordance lines")')) # from line 56, col 5.
        write(u'''</h3>
''')
        #  kwic lines (sentence mode)
        write(u'''<table id="conclines" class="data">
''')
        i = -1
        for l in VFFSL(SL,"Lines",True): # generated from line 60, col 1
            i = VFFSL(SL,"i",True) + 1
            i = VFN(VFFSL(SL,"Lines",True),"index",False)(VFFSL(SL,"l",True))
            even = (VFFSL(SL,"i",True) % 2) and 'even' or 'odd'
            write(u'''    <tr class="''')
            _v = VFFSL(SL,"even",True) # u'$even' on line 64, col 16
            if _v is not None: write(_filter(_v, rawExpr=u'$even')) # from line 64, col 16.
            write(u'''">
    <td class="par">
''')
            for ll in VFFSL(SL,"l",True)['Left']: # generated from line 66, col 7
                if VFN(VFFSL(SL,"ll",True),"has_key",False)('class') and VFFSL(SL,"ll",True)['class']: # generated from line 67, col 9
                    write(u"""          <i class='""")
                    _v = VFFSL(SL,"ll",True)['class'] # u"$ll['class']" on line 68, col 21
                    if _v is not None: write(_filter(_v, rawExpr=u"$ll['class']")) # from line 68, col 21.
                    write(u"""'>
""")
                write(u'''        ''')
                _v = VFFSL(SL,"ll",True)['str'] # u"$ll['str']" on line 70, col 9
                if _v is not None: write(_filter(_v, rawExpr=u"$ll['str']")) # from line 70, col 9.
                write(u'''
''')
                if VFN(VFFSL(SL,"ll",True),"has_key",False)('class') and VFFSL(SL,"ll",True)['class']: # generated from line 71, col 9
                    write(u'''          </i>
''')
            for k in VFFSL(SL,"l",True)['Kwic']: # generated from line 75, col 7
                if VFN(VFFSL(SL,"k",True),"has_key",False)('class') and VFFSL(SL,"k",True)['class']: # generated from line 76, col 9
                    write(u"""          <b class='""")
                    _v = VFFSL(SL,"k",True)['class'] # u"$k['class']" on line 77, col 21
                    if _v is not None: write(_filter(_v, rawExpr=u"$k['class']")) # from line 77, col 21.
                    write(u"""'>
""")
                write(u'''        ''')
                _v = VFFSL(SL,"k",True)['str'] # u"$k['str']" on line 79, col 9
                if _v is not None: write(_filter(_v, rawExpr=u"$k['str']")) # from line 79, col 9.
                write(u'''
''')
                if VFN(VFFSL(SL,"k",True),"has_key",False)('class') and VFFSL(SL,"k",True)['class']: # generated from line 80, col 9
                    write(u'''          </b>
''')
            for rr in VFFSL(SL,"l",True)['Right']: # generated from line 84, col 7
                if VFN(VFFSL(SL,"rr",True),"has_key",False)('class') and VFFSL(SL,"rr",True)['class']: # generated from line 85, col 9
                    write(u"""          <i class='""")
                    _v = VFFSL(SL,"rr",True)['class'] # u"$rr['class']" on line 86, col 21
                    if _v is not None: write(_filter(_v, rawExpr=u"$rr['class']")) # from line 86, col 21.
                    write(u"""'>
""")
                write(u'''        ''')
                _v = VFFSL(SL,"rr",True)['str'] # u"$rr['str']" on line 88, col 9
                if _v is not None: write(_filter(_v, rawExpr=u"$rr['str']")) # from line 88, col 9.
                write(u'''
''')
                if VFN(VFFSL(SL,"rr",True),"has_key",False)('class') and VFFSL(SL,"rr",True)['class']: # generated from line 89, col 9
                    write(u'''          </i>
''')
            write(u'''    </td>
  </tr>
''')
        write(u'''</table>
<a href="first?corpname=''')
        _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 97, col 25
        if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 97, col 25.
        write(u''';iquery=''')
        _v = VFFSL(SL,"iquery",True) # u'$iquery' on line 97, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$iquery')) # from line 97, col 42.
        write(u''';queryselector=iqueryrow;viewmode=sen">
''')
        if False:
            _(">> More")
        _v = VFFSL(SL,"_",False)(">> More") # u'$_(">> More")' on line 98, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_(">> More")')) # from line 98, col 1.
        write(u'''
</a>
</div>

''')
        if VFFSL(SL,"Sketches",True): # generated from line 102, col 1
            write(u'''<div id="rightpanel">
<h3>''')
            if False:
                _("Collocations")
            _v = VFFSL(SL,"_",False)("Collocations") # u'$_("Collocations")' on line 104, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Collocations")')) # from line 104, col 5.
            write(u'''</h3>
''')
            #  sketches
            write(u'''(''')
            _v = VFFSL(SL,"lemma",True) # u'$lemma' on line 106, col 2
            if _v is not None: write(_filter(_v, rawExpr=u'$lemma')) # from line 106, col 2.
            _v = VFFSL(SL,"lpos",True) # u'$lpos' on line 106, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$lpos')) # from line 106, col 8.
            write(u''')
<a href="wsketch_form?corpname=''')
            _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 107, col 32
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 107, col 32.
            write(u''';lemma=''')
            _v = VFFSL(SL,"lemma",True) # u'$lemma' on line 107, col 48
            if _v is not None: write(_filter(_v, rawExpr=u'$lemma')) # from line 107, col 48.
            write(u''';lpos=''')
            _v = VFFSL(SL,"lpos",True) # u'$lpos' on line 107, col 60
            if _v is not None: write(_filter(_v, rawExpr=u'$lpos')) # from line 107, col 60.
            write(u'''">
''')
            if False:
                _("other")
            _v = VFFSL(SL,"_",False)("other") # u'$_("other")' on line 108, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$_("other")')) # from line 108, col 1.
            write(u'''
</a>
<hr />

''')
            index = 0
            gname = ''
            for i in VFFSL(SL,"Sketches",True): # generated from line 114, col 1
                index = VFFSL(SL,"index",True) + 1
                write(u'''   ''')
                #  next gramrel
                if VFFSL(SL,"gname",True) != VFFSL(SL,"i",True)['gramrel']: # generated from line 116, col 4
                    gname = VFFSL(SL,"i",True)['gramrel']
                    if VFFSL(SL,"index",True) > 1: # generated from line 118, col 6
                        write(u'''     </ul>
''')
                    write(u'''     <b>''')
                    _v = VFFSL(SL,"i",True)['gramrel'] # u"$i['gramrel']" on line 121, col 9
                    if _v is not None: write(_filter(_v, rawExpr=u"$i['gramrel']")) # from line 121, col 9.
                    write(u'''</b><ul>
''')
                write(u'''   <li>''')
                _v = VFFSL(SL,"i",True)['word'] # u"$i['word']" on line 123, col 8
                if _v is not None: write(_filter(_v, rawExpr=u"$i['word']")) # from line 123, col 8.
                write(u'''</li>
''')
            if VFFSL(SL,"index",True) > 1: # generated from line 125, col 1
                write(u'''</ul>
''')
            write(u'''<a href="wsketch?corpname=''')
            _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 128, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 128, col 27.
            write(u''';lemma=''')
            _v = VFFSL(SL,"lemma",True) # u'$lemma' on line 128, col 43
            if _v is not None: write(_filter(_v, rawExpr=u'$lemma')) # from line 128, col 43.
            write(u''';lpos=''')
            _v = VFFSL(SL,"lpos",True) # u'$lpos' on line 128, col 55
            if _v is not None: write(_filter(_v, rawExpr=u'$lpos')) # from line 128, col 55.
            write(u'''">
''')
            if False:
                _(">> More")
            _v = VFFSL(SL,"_",False)(">> More") # u'$_(">> More")' on line 129, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$_(">> More")')) # from line 129, col 1.
            write(u'''
</a>
</div>
''')
        write(u'''

<hr/>
<h3>''')
        if False:
            _("Text Types")
        _v = VFFSL(SL,"_",False)("Text Types") # u'$_("Text Types")' on line 136, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Text Types")')) # from line 136, col 5.
        write(u'''</h3>
''')
        #  frequencies
        write(u'''
<table>
<tr><td valign="top">
''')
        ii = 0
        for b in VFN(VFFSL(SL,"freqs",True),"Blocks",True)[:4]: # generated from line 142, col 1
            write(u'''<table class="result">
<tr>
<th align="left">''')
            if False:
                _(VFFSL(SL,"b",True)['Head'][0]['n'])
            _v = VFFSL(SL,"_",False)(VFFSL(SL,"b",True)['Head'][0]['n']) # u"$_($b['Head'][0]['n'])" on line 145, col 18
            if _v is not None: write(_filter(_v, rawExpr=u"$_($b['Head'][0]['n'])")) # from line 145, col 18.
            write(u'''</th><th></th>
</tr>

''')
            for i in VFN(VFFSL(SL,"b",True),"get",False)('Items', []): # generated from line 148, col 3
                word = VFFSL(SL,"i",True)['Word'][0]['n']
                if VFFSL(SL,"word",True): # generated from line 150, col 3
                    write(u'''  <tr
''')
                    if VFN(VFFSL(SL,"i",True),"has_key",False)('class'): # generated from line 152, col 5
                        write(u'''      class="''')
                        _v = VFFSL(SL,"i",True)['class'] # u"$i['class']" on line 153, col 14
                        if _v is not None: write(_filter(_v, rawExpr=u"$i['class']")) # from line 153, col 14.
                        write(u'''"
''')
                    write(u'''  >
      <td>''')
                    _v = VFFSL(SL,"word",True) # u'$word' on line 156, col 11
                    if _v is not None: write(_filter(_v, rawExpr=u'$word')) # from line 156, col 11.
                    write(u'''</td> ''')
                    #  there is always just one word
                    write(u'''
      <td><div class="bar" style="height:10px;width:''')
                    _v = VFFSL(SL,"i",True)['fbar'] # u"${i['fbar']}" on line 157, col 53
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['fbar']}")) # from line 157, col 53.
                    write(u'''px;"></div><img src="''')
                    _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 157, col 86
                    if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 157, col 86.
                    write(u'''/img/red.png" class="hidden" height="10" width="''')
                    _v = VFFSL(SL,"i",True)['fbar'] # u"$i['fbar']" on line 157, col 145
                    if _v is not None: write(_filter(_v, rawExpr=u"$i['fbar']")) # from line 157, col 145.
                    write(u'''" alt="''')
                    _v = VFFSL(SL,"i",True)['fbar'] # u"${i['fbar']}" on line 157, col 162
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['fbar']}")) # from line 157, col 162.
                    write(u'''" />
      </td>
  </tr>
''')
            write(u'''</table>
''')
            ii = VFFSL(SL,"ii",True) + 1
            if VFFSL(SL,"ii",True) % 2 == 0: # generated from line 164, col 3
                write(u'''    </td></tr><tr><td valign="top">
''')
            else: # generated from line 166, col 3
                write(u'''    </td><td valign="top">
''')
        write(u'''<a href="freqs?''')
        _v = VFFSL(SL,"q",True) # u'$q' on line 170, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 170, col 16.
        write(u''';''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 170, col 19
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 170, col 19.
        write(u''';''')
        _v = VFFSL(SL,"ttcrit",True) # u'$ttcrit' on line 170, col 28
        if _v is not None: write(_filter(_v, rawExpr=u'$ttcrit')) # from line 170, col 28.
        write(u'''">
''')
        if False:
            _(">> More")
        _v = VFFSL(SL,"_",False)(">> More") # u'$_(">> More")' on line 171, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_(">> More")')) # from line 171, col 1.
        write(u'''
</a>
</td></tr>
</table>

''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_64840242
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''






''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus = "'ssearch_query'"

    _mainCheetahMethod_for_simple_search= 'writeBody'

## END CLASS DEFINITION

if not hasattr(simple_search, '_initCheetahAttributes'):
    templateAPIClass = getattr(simple_search, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(simple_search)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=simple_search()).run()


