#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.leftmenu import leftmenu

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.3'
__CHEETAH_versionTuple__ = (2, 4, 3, 'development', 0)
__CHEETAH_genTime__ = 1299155716.696813
__CHEETAH_genTimestamp__ = 'Thu Mar  3 13:35:16 2011'
__CHEETAH_src__ = 'templates/wordlist_form.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar  3 13:34:13 2011'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class wordlist_form(leftmenu):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(wordlist_form, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Word List Form")
        _v = VFFSL(SL,"_",False)("Word List Form") # u'$_("Word List Form")' on line 5, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word List Form")')) # from line 5, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_40157685 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 12, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 12, col 14.
        write(u'''/js/prototype-1.3.1.js" type="text/javascript"></script>
<script type="text/javascript">
<!--
function switch_structured() {
  if (document.getElementById("wlstruct").checked == true) {
    document.getElementById("wordlist_form").action = "struct_wordlist";
    document.getElementById("wlstruct_attr1").disabled = false;
    document.getElementById("wlstruct_attr2").disabled = false;
    document.getElementById("wlstruct_attr3").disabled = false;
  } else {
    document.getElementById("wordlist_form").action = "wordlist";
    document.getElementById("wlstruct_attr1").disabled = true;
    document.getElementById("wlstruct_attr2").disabled = true;
    document.getElementById("wlstruct_attr3").disabled = true;
  }
}

function show_help_format() {
  help_div = document.getElementById(\'help_format\')
  if (help_div.style.visibility == \'visible\') {
    help_div.style.visibility = \'hidden\';
  } else {
    help_div.style.visibility = \'visible\';
  }
}

//-->
</script>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_40157685
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_help(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_help at line 43, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_62240217 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 45, col 5
            write(u'''    <li class="context_help"><a href="''')
            _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 46, col 39
            if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 46, col 39.
            write(u'''WordList" rel="help">''')
            if False:
                _("? Help on Word Lists")
            _v = VFFSL(SL,"_",False)("? Help on Word Lists") # u'$_("? Help on Word Lists")' on line 46, col 71
            if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on Word Lists")')) # from line 46, col 71.
            write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_62240217
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu(self, **KWS):



        ## CHEETAH: generated from #def left_submenu at line 51, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_36524749 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''    <li><a title="''')
        if False:
            _("Compute a list of all words")
        _v = VFFSL(SL,"_",False)("Compute a list of all words") # u'$_("Compute a list of all words")' on line 53, col 19
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Compute a list of all words")')) # from line 53, col 19.
        write(u'''" href="wordlist?''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 53, col 69
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 53, col 69.
        write(u''';wlattr=word;wlsort=f">''')
        if False:
            _("All words")
        _v = VFFSL(SL,"_",False)("All words") # u'$_("All words")' on line 53, col 100
        if _v is not None: write(_filter(_v, rawExpr=u'$_("All words")')) # from line 53, col 100.
        write(u'''</a></li>
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 54, col 3
            write(u'''    <li><a title="''')
            if False:
                _("Compute a list of all lemmas")
            _v = VFFSL(SL,"_",False)("Compute a list of all lemmas") # u'$_("Compute a list of all lemmas")' on line 55, col 19
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Compute a list of all lemmas")')) # from line 55, col 19.
            write(u'''" href="wordlist?''')
            _v = VFFSL(SL,"globals",True) # u'$globals' on line 55, col 70
            if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 55, col 70.
            write(u''';wlattr=lemma;wlsort=f">''')
            if False:
                _("All lemmas")
            _v = VFFSL(SL,"_",False)("All lemmas") # u'$_("All lemmas")' on line 55, col 102
            if _v is not None: write(_filter(_v, rawExpr=u'$_("All lemmas")')) # from line 55, col 102.
            write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_36524749
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 60, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_98455972 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''switch_structured()''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_98455972
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 67, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_70350775 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<h3>''')
        if False:
            _("Word list options")
        _v = VFFSL(SL,"_",False)("Word list options") # u'$_("Word list options")' on line 69, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word list options")')) # from line 69, col 5.
        write(u'''</h3>
<form action="wordlist" id="wordlist_form" method="post" enctype="multipart/form-data">
<fieldset>
''')
        _orig_filter_66198718 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 73, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 73, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_66198718
        write(u'''  <input type="hidden" name="wlmaxitems" value="100" />
  <input type="hidden" name="wlsort" value="f" />
<table class="form">
''')
        _orig_filter_71652365 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''  ''')
        _v = VFFSL(SL,"corp_sel_node",True) # u'$corp_sel_node' on line 79, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$corp_sel_node')) # from line 79, col 3.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_71652365
        write(u'''
<tbody>
<tr class="required">
  <th align="left">''')
        if False:
            _("Subcorpus")
        _v = VFFSL(SL,"_",False)("Subcorpus") # u'$_("Subcorpus")' on line 84, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpus")')) # from line 84, col 20.
        write(u''':</th>
  <td>
''')
        _orig_filter_47956166 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''  ''')
        _v = VFFSL(SL,"subcorp_sel",True) # u'$subcorp_sel' on line 87, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$subcorp_sel')) # from line 87, col 3.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_47956166
        write(u'''  <br/></td>
</tr>
<tr class="required">
<th>''')
        if False:
            _("Search attribute")
        _v = VFFSL(SL,"_",False)("Search attribute") # u'$_("Search attribute")' on line 92, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Search attribute")')) # from line 92, col 5.
        write(u''':</th>
  <td><select name="wlattr">
''')
        for a in VFFSL(SL,"Attrlist",True): # generated from line 94, col 3
            selected = (VFFSL(SL,"a",True)['n'] == VFFSL(SL,"wlattr",True)) and 'selected' or ''
            write(u'''    <option value="''')
            _v = VFFSL(SL,"a",True)['n'] # u"$a['n']" on line 96, col 20
            if _v is not None: write(_filter(_v, rawExpr=u"$a['n']")) # from line 96, col 20.
            write(u'''" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 96, col 29
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 96, col 29.
            write(u'''>''')
            if False:
                _(VFFSL(SL,"a",True)['label'])
            _v = VFFSL(SL,"_",False)(VFFSL(SL,"a",True)['label']) # u"$_($a['label'])" on line 96, col 39
            if _v is not None: write(_filter(_v, rawExpr=u"$_($a['label'])")) # from line 96, col 39.
            write(u'''</option>
''')
        write(u'''  </select><br/></td>
</tr>
</tbody>
</table>
<table class="form">
<tr class="separator">
  <th>''')
        if False:
            _("Pattern")
        _v = VFFSL(SL,"_",False)("Pattern") # u'$_("Pattern")' on line 104, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Pattern")')) # from line 104, col 7.
        write(u''' <span class="explanation">(''')
        if False:
            _("can use regular expressions")
        _v = VFFSL(SL,"_",False)("can use regular expressions") # u'$_("can use regular expressions")' on line 104, col 48
        if _v is not None: write(_filter(_v, rawExpr=u'$_("can use regular expressions")')) # from line 104, col 48.
        write(u'''):</span></th>
  <td>
  <span class="nowrap">
  <input type="text" name="wlpat" size="20" value="''')
        _v = VFFSL(SL,"wlpat",True) # u'$wlpat' on line 107, col 52
        if _v is not None: write(_filter(_v, rawExpr=u'$wlpat')) # from line 107, col 52.
        write(u'''" id="wlpat" />
  &nbsp;&nbsp; ''')
        if False:
            _("or")
        _v = VFFSL(SL,"_",False)("or") # u'$_("or")' on line 108, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$_("or")')) # from line 108, col 16.
        write(u''' &nbsp;&nbsp; ''')
        if False:
            _("List from file")
        _v = VFFSL(SL,"_",False)("List from file") # u'$_("List from file")' on line 108, col 38
        if _v is not None: write(_filter(_v, rawExpr=u'$_("List from file")')) # from line 108, col 38.
        write(u''':
  <input type="file" name="wlfile" size="20" id="wlfile" />
  <a href="" onclick="show_help_format();return false;">''')
        if False:
            _("format")
        _v = VFFSL(SL,"_",False)("format") # u'$_("format")' on line 110, col 57
        if _v is not None: write(_filter(_v, rawExpr=u'$_("format")')) # from line 110, col 57.
        write(u'''</a>
  </span>
  <div  id="help_format" class="css_format_help">
''')
        if False:
            _("Files containing wordlists for which frequencies are required must be plain text (.txt), with one item per line.  The items must correspond to the selected attribute, so, eg, if 'lemma' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.")
        _v = VFFSL(SL,"_",False)("Files containing wordlists for which frequencies are required must be plain text (.txt), with one item per line.  The items must correspond to the selected attribute, so, eg, if 'lemma' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.") # u'$_("Files containing wordlists for which frequencies are required must be plain text (.txt), with one item per line.  The items must correspond to the selected attribute, so, eg, if \'lemma\' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.")' on line 113, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Files containing wordlists for which frequencies are required must be plain text (.txt), with one item per line.  The items must correspond to the selected attribute, so, eg, if \'lemma\' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.")')) # from line 113, col 1.
        write(u'''
</div>
  </td>
</tr>
<tr>
  <th>''')
        if False:
            _("Minimum frequency in corpus")
        _v = VFFSL(SL,"_",False)("Minimum frequency in corpus") # u'$_("Minimum frequency in corpus")' on line 118, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Minimum frequency in corpus")')) # from line 118, col 7.
        write(u''':</th>
  <td><input type="text" name="wlminfreq" value="''')
        _v = VFFSL(SL,"wlminfreq",True) # u'$wlminfreq' on line 119, col 50
        if _v is not None: write(_filter(_v, rawExpr=u'$wlminfreq')) # from line 119, col 50.
        write(u'''" /></td>
</tr>
<tr class="separator">
  <th><label onclick="switch_structured()"><input type="checkbox" name="wlstruct" id="wlstruct" onchange="switch_structured()" /> ''')
        if False:
            _("Use multilevel wordlist")
        _v = VFFSL(SL,"_",False)("Use multilevel wordlist") # u'$_("Use multilevel wordlist")' on line 122, col 131
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Use multilevel wordlist")')) # from line 122, col 131.
        write(u''':</label></th>
  <td>
''')
        for i in VFFSL(SL,"range",False)(1,4): # generated from line 124, col 3
            write(u'''    <select name="wlstruct_attr''')
            _v = VFFSL(SL,"i",True) # u'$i' on line 125, col 32
            if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 125, col 32.
            write(u'''" id="wlstruct_attr''')
            _v = VFFSL(SL,"i",True) # u'$i' on line 125, col 53
            if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 125, col 53.
            write(u'''">
    <option value="">---</option>  
''')
            for a in VFFSL(SL,"Attrlist",True): # generated from line 127, col 5
                selected = ''
                write(u'''      <option value="''')
                _v = VFFSL(SL,"a",True)['n'] # u"$a['n']" on line 129, col 22
                if _v is not None: write(_filter(_v, rawExpr=u"$a['n']")) # from line 129, col 22.
                write(u'''" ''')
                _v = VFFSL(SL,"selected",True) # u'$selected' on line 129, col 31
                if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 129, col 31.
                write(u'''>''')
                if False:
                    _(VFFSL(SL,"a",True)['label'])
                _v = VFFSL(SL,"_",False)(VFFSL(SL,"a",True)['label']) # u"$_($a['label'])" on line 129, col 41
                if _v is not None: write(_filter(_v, rawExpr=u"$_($a['label'])")) # from line 129, col 41.
                write(u'''</option>
''')
            write(u'''    </select>
''')
        write(u'''  </td>
</tr>
<tr>
  <td colspan="2">
  <input type="hidden" name="usearf" value="0" />
  <label>
''')
        checked = (VFFSL(SL,"int",False)(VFFSL(SL,"usearf",True)) == 1) and 'checked' or ''
        write(u'''  <input type="checkbox" name="usearf" value="1" ''')
        _v = VFFSL(SL,"checked",True) # u'$checked' on line 140, col 50
        if _v is not None: write(_filter(_v, rawExpr=u'$checked')) # from line 140, col 50.
        write(u''' />
  ''')
        if False:
            _("Use ARF instead of raw frequency")
        _v = VFFSL(SL,"_",False)("Use ARF instead of raw frequency") # u'$_("Use ARF instead of raw frequency")' on line 141, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Use ARF instead of raw frequency")')) # from line 141, col 3.
        write(u'''</label>
</td></tr>
</table>

<div class="buttons">
  <input class="submit" type="submit" value="''')
        if False:
            _("Make Word List")
        _v = VFFSL(SL,"_",False)("Make Word List") # u'$_("Make Word List")' on line 146, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Make Word List")')) # from line 146, col 46.
        write(u'''" />
</div>
</fieldset>
</form>


''')
        # # header fields
        write(u'''<h3>''')
        if False:
            _("Text Types")
        _v = VFFSL(SL,"_",False)("Text Types") # u'$_("Text Types")' on line 153, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Text Types")')) # from line 153, col 5.
        write(u'''</h3>
<form action="headers">
<fieldset>
  <input type="hidden" name="wlmaxitems" value="100" />
  <input type="hidden" name="wlsort" value="f" />
  <input type="hidden" name="subcnorm" value="freq" />

<table class="form">
''')
        _orig_filter_89542143 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''  ''')
        _v = VFFSL(SL,"corp_sel_node",True) # u'$corp_sel_node' on line 162, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$corp_sel_node')) # from line 162, col 3.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_89542143
        write(u'''<tbody>
<tr class="required">
  <th>''')
        if False:
            _("Subcorpus")
        _v = VFFSL(SL,"_",False)("Subcorpus") # u'$_("Subcorpus")' on line 166, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpus")')) # from line 166, col 7.
        write(u''':</th>
  <td>
''')
        _orig_filter_64088980 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''  ''')
        _v = VFFSL(SL,"subcorp_sel",True) # u'$subcorp_sel' on line 169, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$subcorp_sel')) # from line 169, col 3.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_64088980
        write(u'''  </td>
</tr>
<tr class="required">
  <th>''')
        if False:
            _("Search attribute")
        _v = VFFSL(SL,"_",False)("Search attribute") # u'$_("Search attribute")' on line 174, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Search attribute")')) # from line 174, col 7.
        write(u''':</th>
  <td><select name="wlattr">
''')
        for a in VFFSL(SL,"StructAttrList",True): # generated from line 176, col 3
            selected = (VFFSL(SL,"a",True)['n'] == VFFSL(SL,"wlattr",True)) and 'selected' or ''
            write(u'''    <option value="''')
            _v = VFFSL(SL,"a",True)['n'] # u"$a['n']" on line 178, col 20
            if _v is not None: write(_filter(_v, rawExpr=u"$a['n']")) # from line 178, col 20.
            write(u'''" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 178, col 29
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 178, col 29.
            write(u'''>''')
            if False:
                _(VFFSL(SL,"a",True)['label'])
            _v = VFFSL(SL,"_",False)(VFFSL(SL,"a",True)['label']) # u"$_($a['label'])" on line 178, col 39
            if _v is not None: write(_filter(_v, rawExpr=u"$_($a['label'])")) # from line 178, col 39.
            write(u'''</option>
''')
        write(u'''  </select></td>
</tr>
</tbody>
</table>
  <br/>
  <input class="submit" type="submit" value="''')
        if False:
            _("Show Header Fields")
        _v = VFFSL(SL,"_",False)("Show Header Fields") # u'$_("Show Header Fields")' on line 185, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Show Header Fields")')) # from line 185, col 46.
        write(u'''" />
</fieldset>
</form>


''')
        # # keywords
        write(u'''<h3>''')
        if False:
            _("Keywords")
        _v = VFFSL(SL,"_",False)("Keywords") # u'$_("Keywords")' on line 191, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Keywords")')) # from line 191, col 5.
        write(u'''</h3>
<form action="wordlist">
<fieldset>
''')
        _orig_filter_79495060 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 195, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 195, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_79495060
        write(u'''  <input type="hidden" name="keywords" value="X" />
  <input type="hidden" name="reload" />
<table class="form">
  <tr>
  <td>''')
        if False:
            _("Find keywords of")
        _v = VFFSL(SL,"_",False)("Find keywords of") # u'$_("Find keywords of")' on line 201, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Find keywords of")')) # from line 201, col 7.
        write(u''':</td>
  <td>
  <span class="no-wrap">
  <select name="usesubcorp" id="usesubcorp">
    <option value="">''')
        _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 205, col 22
        if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 205, col 22.
        write(u''' (''')
        if False:
            _("whole corpus")
        _v = VFFSL(SL,"_",False)("whole corpus") # u'$_("whole corpus")' on line 205, col 39
        if _v is not None: write(_filter(_v, rawExpr=u'$_("whole corpus")')) # from line 205, col 39.
        write(u''')</option>
''')
        if VFFSL(SL,"LastSubcorp",True): # generated from line 206, col 3
            for l in VFFSL(SL,"LastSubcorp",True): # generated from line 207, col 5
                selected = (VFFSL(SL,"l",True)['n'] == VFFSL(SL,"usesubcorp",True)) and 'selected="selected"' or ''
                write(u'''      <option ''')
                _v = VFFSL(SL,"selected",True) # u'$selected' on line 209, col 15
                if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 209, col 15.
                write(u''' >''')
                _v = VFFSL(SL,"l",True)['n'] # u"$l['n']" on line 209, col 26
                if _v is not None: write(_filter(_v, rawExpr=u"$l['n']")) # from line 209, col 26.
                write(u'''</option>
''')
        write(u'''  </select>
  ''')
        if False:
            _("compared with")
        _v = VFFSL(SL,"_",False)("compared with") # u'$_("compared with")' on line 213, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$_("compared with")')) # from line 213, col 3.
        write(u''':
''')
        if not VFFSL(SL,"getVar",False)('CompatibleCorpora', []): # generated from line 214, col 3
            CompatibleCorpora = VFFSL(SL,"Corplist",True)
        write(u'''  <select name="ref_corpname" id="ref_corpname"
    onchange="this.form.reload.value=1; if(this.form.ref_usesubcorp) this.form.ref_usesubcorp.value=\'\'; this.form.submit();"
  >
''')
        for c in VFFSL(SL,"CompatibleCorpora",True): # generated from line 220, col 5
            selected = (VFFSL(SL,"c",True)['id'] == VFFSL(SL,"ref_corpname",True)) and 'selected="selected"' or ''
            write(u'''      <option value="''')
            _v = VFFSL(SL,"c",True)['id'] # u"$c['id']" on line 222, col 22
            if _v is not None: write(_filter(_v, rawExpr=u"$c['id']")) # from line 222, col 22.
            write(u'''" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 222, col 32
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 222, col 32.
            write(u'''>''')
            _v = VFFSL(SL,"c",True)['name'] # u"$c['name']" on line 222, col 42
            if _v is not None: write(_filter(_v, rawExpr=u"$c['name']")) # from line 222, col 42.
            write(u'''</option>
''')
        write(u'''  </select>
  <select name="ref_usesubcorp" id="ref_usesubcorp">
    <option value="">(''')
        if False:
            _("whole corpus")
        _v = VFFSL(SL,"_",False)("whole corpus") # u'$_("whole corpus")' on line 226, col 23
        if _v is not None: write(_filter(_v, rawExpr=u'$_("whole corpus")')) # from line 226, col 23.
        write(u''')</option>
''')
        if VFFSL(SL,"RefSubcorp",True): # generated from line 227, col 3
            for l in VFFSL(SL,"RefSubcorp",True): # generated from line 228, col 5
                write(u'''       <option>''')
                _v = VFFSL(SL,"l",True)['n'] # u"$l['n']" on line 229, col 16
                if _v is not None: write(_filter(_v, rawExpr=u"$l['n']")) # from line 229, col 16.
                write(u'''</option>
''')
        write(u'''  </select>
  </span>
  </td></tr>
  <tr><td></td><td>
  <i>
''')
        if not VFFSL(SL,"_open_version",True): # generated from line 237, col 3
            write(u'''    <a href="subcorp_form?''')
            _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 238, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 238, col 27.
            write(u'''">''')
            if False:
                _("create new subcorpus")
            _v = VFFSL(SL,"_",False)("create new subcorpus") # u'$_("create new subcorpus")' on line 238, col 42
            if _v is not None: write(_filter(_v, rawExpr=u'$_("create new subcorpus")')) # from line 238, col 42.
            write(u'''</a>
''')
        write(u'''  </i>
  </td>
</tr>
<tr class="separator">
  <th>''')
        if False:
            _("Attribute")
        _v = VFFSL(SL,"_",False)("Attribute") # u'$_("Attribute")' on line 244, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Attribute")')) # from line 244, col 7.
        write(u''':</th>
  <td><select name="wlattr">
''')
        for a in VFFSL(SL,"Attrlist",True): # generated from line 246, col 3
            selected = (VFFSL(SL,"a",True)['n'] == VFFSL(SL,"wlattr",True)) and 'selected' or ''
            write(u'''    <option value="''')
            _v = VFFSL(SL,"a",True)['n'] # u"$a['n']" on line 248, col 20
            if _v is not None: write(_filter(_v, rawExpr=u"$a['n']")) # from line 248, col 20.
            write(u'''" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 248, col 29
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 248, col 29.
            write(u'''>''')
            if False:
                _(VFFSL(SL,"a",True)['label'])
            _v = VFFSL(SL,"_",False)(VFFSL(SL,"a",True)['label']) # u"$_($a['label'])" on line 248, col 39
            if _v is not None: write(_filter(_v, rawExpr=u"$_($a['label'])")) # from line 248, col 39.
            write(u'''</option>
''')
        write(u'''  </select></td>
</tr>
<tr>
  <th>''')
        if False:
            _("Minimum frequency per million")
        _v = VFFSL(SL,"_",False)("Minimum frequency per million") # u'$_("Minimum frequency per million")' on line 253, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Minimum frequency per million")')) # from line 253, col 7.
        write(u''':</th>
  <td><input type="text" name="wlminfreq" value="''')
        _v = VFFSL(SL,"wlminfreq",True) # u'$wlminfreq' on line 254, col 50
        if _v is not None: write(_filter(_v, rawExpr=u'$wlminfreq')) # from line 254, col 50.
        write(u'''" /></td>
</tr>
<tr>
  <th>''')
        if False:
            _("SimpleMaths parameter N")
        _v = VFFSL(SL,"_",False)("SimpleMaths parameter N") # u'$_("SimpleMaths parameter N")' on line 257, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("SimpleMaths parameter N")')) # from line 257, col 7.
        write(u''':</th>
  <td><input type="text" name="simple_n" value="''')
        _v = VFFSL(SL,"simple_n",True) # u'$simple_n' on line 258, col 49
        if _v is not None: write(_filter(_v, rawExpr=u'$simple_n')) # from line 258, col 49.
        write(u'''" /></td>
</tr>
</table>

  <input class="submit" type="submit" value="''')
        if False:
            _("Find Keywords")
        _v = VFFSL(SL,"_",False)("Find Keywords") # u'$_("Find Keywords")' on line 262, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Find Keywords")')) # from line 262, col 46.
        write(u'''" />
</fieldset>
</form>


''')
        if VFFSL(SL,"has_wsketch",True): # generated from line 267, col 1
            # # find X
            write(u'''<h3>''')
            if False:
                _("Find X")
            _v = VFFSL(SL,"_",False)("Find X") # u'$_("Find X")' on line 269, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Find X")')) # from line 269, col 5.
            write(u'''</h3>
<form action="findx">
<fieldset>
''')
            _orig_filter_28236317 = _filter
            _filter = self._CHEETAH__initialFilter
            _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 273, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 273, col 1.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_28236317
            write(u'''  <input type="hidden" name="wlmaxitems" value="100" />
<table class="form">
<tr>
  <td colspan="2">"''')
            if False:
                _("find all the words that are most X")
            _v = VFFSL(SL,"_",False)("find all the words that are most X") # u'$_("find all the words that are most X")' on line 278, col 20
            if _v is not None: write(_filter(_v, rawExpr=u'$_("find all the words that are most X")')) # from line 278, col 20.
            write(u'''"</td>
</tr>
<tr class="separator">
  <th>''')
            if False:
                _("Existing lists")
            _v = VFFSL(SL,"_",False)("Existing lists") # u'$_("Existing lists")' on line 281, col 7
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Existing lists")')) # from line 281, col 7.
            write(u''':</th>
  <td>
''')
            if VFFSL(SL,"Histlist",True): # generated from line 283, col 5
                write(u'''      <select name="histid" id="histid">
''')
                for hist in VFFSL(SL,"Histlist",True): # generated from line 285, col 7
                    write(u'''         <option value="''')
                    _v = VFFSL(SL,"hist",True)['id'] # u"$hist['id']" on line 286, col 25
                    if _v is not None: write(_filter(_v, rawExpr=u"$hist['id']")) # from line 286, col 25.
                    write(u'''">''')
                    _v = VFFSL(SL,"hist",True)['name'] # u"$hist['name']" on line 286, col 38
                    if _v is not None: write(_filter(_v, rawExpr=u"$hist['name']")) # from line 286, col 38.
                    write(u'''</option>
''')
                write(u'''      </select>
''')
            else: # generated from line 289, col 5
                write(u'''      <i>''')
                if False:
                    _("no lists available")
                _v = VFFSL(SL,"_",False)("no lists available") # u'$_("no lists available")' on line 290, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$_("no lists available")')) # from line 290, col 10.
                write(u'''</i>
''')
            write(u'''  </td>
</tr>
''')
            if not (VFFSL(SL,"_open_version",True)):
                write(u'''<tr>
  <td colspan="2">
      <a href="findx_upload_form?''')
                _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 297, col 34
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 297, col 34.
                write(u'''">
''')
                if VFFSL(SL,"processing",True): # generated from line 298, col 7
                    write(u'''        ''')
                    if False:
                        _("See Upload progress")
                    _v = VFFSL(SL,"_",False)("See Upload progress") # u'$_("See Upload progress")' on line 299, col 9
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("See Upload progress")')) # from line 299, col 9.
                    write(u'''
''')
                else: # generated from line 300, col 7
                    write(u'''        ''')
                    if False:
                        _("Upload new list")
                    _v = VFFSL(SL,"_",False)("Upload new list") # u'$_("Upload new list")' on line 301, col 9
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("Upload new list")')) # from line 301, col 9.
                    write(u'''
''')
                write(u'''      </a>
  </td>
</tr>
''')
            write(u'''<tr>
    <th>''')
            if False:
                _("Minimum ratio (percent)")
            _v = VFFSL(SL,"_",False)("Minimum ratio (percent)") # u'$_("Minimum ratio (percent)")' on line 308, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Minimum ratio (percent)")')) # from line 308, col 9.
            write(u''':</th>
    <td><input type="text" name="min_hist_ratio" value="''')
            _v = VFFSL(SL,"min_hist_ratio",True) # u'$min_hist_ratio' on line 309, col 57
            if _v is not None: write(_filter(_v, rawExpr=u'$min_hist_ratio')) # from line 309, col 57.
            write(u'''" /></td>
</tr>
<tr>
   <th>''')
            if False:
                _("Minimum frequency in corpus")
            _v = VFFSL(SL,"_",False)("Minimum frequency in corpus") # u'$_("Minimum frequency in corpus")' on line 312, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Minimum frequency in corpus")')) # from line 312, col 8.
            write(u''':</th>
   <td><input type="text" name="wlminfreq" value="''')
            _v = VFFSL(SL,"wlminfreq",True) # u'$wlminfreq' on line 313, col 51
            if _v is not None: write(_filter(_v, rawExpr=u'$wlminfreq')) # from line 313, col 51.
            write(u'''" /></td>
</tr>
</table>
<div class="buttons">
''')
            disabled = (not VFFSL(SL,"Histlist",True)) and 'disabled="disabled"' or ''
            write(u'''    <input class="submit" type="submit" value="''')
            if False:
                _("Find X")
            _v = VFFSL(SL,"_",False)("Find X") # u'$_("Find X")' on line 318, col 48
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Find X")')) # from line 318, col 48.
            write(u'''" ''')
            _v = VFFSL(SL,"disabled",True) # u'$disabled' on line 318, col 62
            if _v is not None: write(_filter(_v, rawExpr=u'$disabled')) # from line 318, col 62.
            write(u''' />
</div>
</fieldset>
</form>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_70350775
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''







''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus ="'wlpat'"

    _mainCheetahMethod_for_wordlist_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(wordlist_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(wordlist_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(wordlist_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=wordlist_form()).run()


